#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './wizardbase.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "wizardbase.h"

#include <qvariant.h>
#include <qwidgetstack.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qframe.h>
#include <qwidget.h>
#include <qheader.h>
#include <qlistview.h>
#include <qtextedit.h>
#include <qprogressbar.h>
#include <qcheckbox.h>
#include <qlistbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "./wizardbase.ui.h"

/*
 *  Constructs a WizardBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
WizardBase::WizardBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "WizardBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 530, 0 ) );
    WizardBaseLayout = new QVBoxLayout( this, 11, 6, "WizardBaseLayout"); 
    WizardBaseLayout->setResizeMode( QLayout::Fixed );

    layout8 = new QHBoxLayout( 0, 0, 6, "layout8"); 

    splash = new QLabel( this, "splash" );
    splash->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, splash->sizePolicy().hasHeightForWidth() ) );
    splash->setFrameShape( QLabel::Box );
    splash->setFrameShadow( QLabel::Sunken );
    splash->setScaledContents( FALSE );
    layout8->addWidget( splash );

    layout7 = new QVBoxLayout( 0, 0, 6, "layout7"); 

    titleLabel = new QLabel( this, "titleLabel" );
    titleLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)4, 0, 0, titleLabel->sizePolicy().hasHeightForWidth() ) );
    titleLabel->setAlignment( int( QLabel::AlignVCenter ) );
    layout7->addWidget( titleLabel );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );
    layout7->addWidget( line1 );

    mainStack = new QWidgetStack( this, "mainStack" );

    WStackPage = new QWidget( mainStack, "WStackPage" );
    WStackPageLayout = new QVBoxLayout( WStackPage, 0, 0, "WStackPageLayout"); 

    installStack = new QWidgetStack( WStackPage, "installStack" );

    Introduction = new QWidget( installStack, "Introduction" );
    IntroductionLayout = new QVBoxLayout( Introduction, 11, 6, "IntroductionLayout"); 

    textLabel2 = new QLabel( Introduction, "textLabel2" );
    textLabel2->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    IntroductionLayout->addWidget( textLabel2 );

    layout12 = new QHBoxLayout( 0, 0, 6, "layout12"); 
    spacer3 = new QSpacerItem( 30, 10, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout12->addItem( spacer3 );

    appIcon = new QLabel( Introduction, "appIcon" );
    appIcon->setScaledContents( FALSE );
    layout12->addWidget( appIcon );

    appNameLabel = new QLabel( Introduction, "appNameLabel" );
    appNameLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, appNameLabel->sizePolicy().hasHeightForWidth() ) );
    layout12->addWidget( appNameLabel );
    IntroductionLayout->addLayout( layout12 );
    spacer4 = new QSpacerItem( 10, 30, QSizePolicy::Minimum, QSizePolicy::Fixed );
    IntroductionLayout->addItem( spacer4 );

    textLabel4 = new QLabel( Introduction, "textLabel4" );
    IntroductionLayout->addWidget( textLabel4 );
    spacer5 = new QSpacerItem( 21, 71, QSizePolicy::Minimum, QSizePolicy::Expanding );
    IntroductionLayout->addItem( spacer5 );
    installStack->addWidget( Introduction, 0 );

    Components = new QWidget( installStack, "Components" );
    ComponentsLayout = new QVBoxLayout( Components, 11, 6, "ComponentsLayout"); 

    textLabel5 = new QLabel( Components, "textLabel5" );
    textLabel5->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    ComponentsLayout->addWidget( textLabel5 );

    componentList = new QListView( Components, "componentList" );
    componentList->addColumn( tr2i18n( "Component name" ) );
    ComponentsLayout->addWidget( componentList );

    componentInfo = new QTextEdit( Components, "componentInfo" );
    componentInfo->setTextFormat( QTextEdit::RichText );
    componentInfo->setWordWrap( QTextEdit::WidgetWidth );
    componentInfo->setReadOnly( TRUE );
    ComponentsLayout->addWidget( componentInfo );
    installStack->addWidget( Components, 1 );

    WStackPage_2 = new QWidget( installStack, "WStackPage_2" );
    WStackPageLayout_2 = new QVBoxLayout( WStackPage_2, 11, 6, "WStackPageLayout_2"); 

    pleaseWaitLabel = new QLabel( WStackPage_2, "pleaseWaitLabel" );
    pleaseWaitLabel->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    WStackPageLayout_2->addWidget( pleaseWaitLabel );
    spacer14_2 = new QSpacerItem( 16, 30, QSizePolicy::Minimum, QSizePolicy::Minimum );
    WStackPageLayout_2->addItem( spacer14_2 );

    progressLabel1 = new QLabel( WStackPage_2, "progressLabel1" );
    WStackPageLayout_2->addWidget( progressLabel1 );

    progressLabel2 = new QLabel( WStackPage_2, "progressLabel2" );
    progressLabel2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, progressLabel2->sizePolicy().hasHeightForWidth() ) );
    progressLabel2->setTextFormat( QLabel::RichText );
    progressLabel2->setAlignment( int( QLabel::WordBreak | QLabel::AlignTop | QLabel::AlignLeft ) );
    WStackPageLayout_2->addWidget( progressLabel2 );

    progressBar = new QProgressBar( WStackPage_2, "progressBar" );
    progressBar->setProgress( 0 );
    WStackPageLayout_2->addWidget( progressBar );

    timeRemaining = new QLabel( WStackPage_2, "timeRemaining" );
    timeRemaining->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignRight ) );
    WStackPageLayout_2->addWidget( timeRemaining );
    spacer15 = new QSpacerItem( 20, 30, QSizePolicy::Minimum, QSizePolicy::Expanding );
    WStackPageLayout_2->addItem( spacer15 );

    logFrame = new QFrame( WStackPage_2, "logFrame" );
    logFrame->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, logFrame->sizePolicy().hasHeightForWidth() ) );
    logFrame->setFrameShape( QFrame::NoFrame );
    logFrame->setFrameShadow( QFrame::Plain );
    logFrameLayout = new QHBoxLayout( logFrame, 0, 0, "logFrameLayout"); 
    logSpacer_2 = new QSpacerItem( 224, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    logFrameLayout->addItem( logSpacer_2 );

    logButton = new QPushButton( logFrame, "logButton" );
    logFrameLayout->addWidget( logButton );
    WStackPageLayout_2->addWidget( logFrame );
    installStack->addWidget( WStackPage_2, 2 );

    WStackPage_3 = new QWidget( installStack, "WStackPage_3" );
    WStackPageLayout_3 = new QVBoxLayout( WStackPage_3, 11, 6, "WStackPageLayout_3"); 

    textLabel1 = new QLabel( WStackPage_3, "textLabel1" );
    textLabel1->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    WStackPageLayout_3->addWidget( textLabel1 );
    spacer8 = new QSpacerItem( 20, 30, QSizePolicy::Minimum, QSizePolicy::Fixed );
    WStackPageLayout_3->addItem( spacer8 );

    layout7_2 = new QGridLayout( 0, 1, 1, 0, 6, "layout7_2"); 
    spacer16 = new QSpacerItem( 30, 50, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout7_2->addMultiCell( spacer16, 0, 2, 0, 0 );

    uninstallBox = new QCheckBox( WStackPage_3, "uninstallBox" );
    uninstallBox->setChecked( TRUE );

    layout7_2->addWidget( uninstallBox, 2, 1 );

    shortcutBox = new QCheckBox( WStackPage_3, "shortcutBox" );
    shortcutBox->setChecked( TRUE );

    layout7_2->addWidget( shortcutBox, 1, 1 );
    WStackPageLayout_3->addLayout( layout7_2 );
    spacer9 = new QSpacerItem( 20, 90, QSizePolicy::Minimum, QSizePolicy::Expanding );
    WStackPageLayout_3->addItem( spacer9 );
    installStack->addWidget( WStackPage_3, 3 );
    WStackPageLayout->addWidget( installStack );
    mainStack->addWidget( WStackPage, 0 );

    WStackPage_4 = new QWidget( mainStack, "WStackPage_4" );
    WStackPageLayout_4 = new QVBoxLayout( WStackPage_4, 0, 0, "WStackPageLayout_4"); 

    uninstallStack = new QWidgetStack( WStackPage_4, "uninstallStack" );

    WStackPage_5 = new QWidget( uninstallStack, "WStackPage_5" );
    WStackPageLayout_5 = new QVBoxLayout( WStackPage_5, 11, 6, "WStackPageLayout_5"); 

    textLabel1_3 = new QLabel( WStackPage_5, "textLabel1_3" );
    WStackPageLayout_5->addWidget( textLabel1_3 );

    appList = new QListView( WStackPage_5, "appList" );
    appList->addColumn( tr2i18n( "Application Name" ) );
    WStackPageLayout_5->addWidget( appList );
    uninstallStack->addWidget( WStackPage_5, 0 );

    WStackPage_6 = new QWidget( uninstallStack, "WStackPage_6" );
    WStackPageLayout_6 = new QVBoxLayout( WStackPage_6, 11, 6, "WStackPageLayout_6"); 

    textLabel2_3 = new QLabel( WStackPage_6, "textLabel2_3" );
    textLabel2_3->setTextFormat( QLabel::RichText );
    WStackPageLayout_6->addWidget( textLabel2_3 );

    fileList = new QListBox( WStackPage_6, "fileList" );
    WStackPageLayout_6->addWidget( fileList );
    uninstallStack->addWidget( WStackPage_6, 1 );

    WStackPage_7 = new QWidget( uninstallStack, "WStackPage_7" );
    WStackPageLayout_7 = new QVBoxLayout( WStackPage_7, 11, 6, "WStackPageLayout_7"); 
    spacer14 = new QSpacerItem( 16, 30, QSizePolicy::Minimum, QSizePolicy::Fixed );
    WStackPageLayout_7->addItem( spacer14 );

    pleaseWaitLabel2 = new QLabel( WStackPage_7, "pleaseWaitLabel2" );
    WStackPageLayout_7->addWidget( pleaseWaitLabel2 );
    spacer15_2 = new QSpacerItem( 41, 156, QSizePolicy::Minimum, QSizePolicy::Expanding );
    WStackPageLayout_7->addItem( spacer15_2 );

    logFrame_2 = new QFrame( WStackPage_7, "logFrame_2" );
    logFrame_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)0, 0, 0, logFrame_2->sizePolicy().hasHeightForWidth() ) );
    logFrame_2->setFrameShape( QFrame::NoFrame );
    logFrame_2->setFrameShadow( QFrame::Plain );
    logFrame_2Layout = new QHBoxLayout( logFrame_2, 0, 0, "logFrame_2Layout"); 
    logSpacer_2_2 = new QSpacerItem( 224, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    logFrame_2Layout->addItem( logSpacer_2_2 );

    logButton2 = new QPushButton( logFrame_2, "logButton2" );
    logFrame_2Layout->addWidget( logButton2 );
    WStackPageLayout_7->addWidget( logFrame_2 );
    uninstallStack->addWidget( WStackPage_7, 2 );
    WStackPageLayout_4->addWidget( uninstallStack );
    mainStack->addWidget( WStackPage_4, 1 );
    layout7->addWidget( mainStack );
    layout8->addLayout( layout7 );
    WizardBaseLayout->addLayout( layout8 );

    line2 = new QFrame( this, "line2" );
    line2->setFrameShape( QFrame::HLine );
    line2->setFrameShadow( QFrame::Sunken );
    line2->setFrameShape( QFrame::HLine );
    WizardBaseLayout->addWidget( line2 );

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 
    spacer1 = new QSpacerItem( 61, 31, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout2->addItem( spacer1 );

    previousButton = new QPushButton( this, "previousButton" );
    previousButton->setEnabled( FALSE );
    layout2->addWidget( previousButton );

    nextButton = new QPushButton( this, "nextButton" );
    nextButton->setDefault( TRUE );
    layout2->addWidget( nextButton );

    cancelButton = new QPushButton( this, "cancelButton" );
    layout2->addWidget( cancelButton );
    WizardBaseLayout->addLayout( layout2 );
    languageChange();
    resize( QSize(587, 384).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( nextButton, SIGNAL( clicked() ), this, SLOT( nextPressed() ) );
    connect( cancelButton, SIGNAL( clicked() ), this, SLOT( cancelPressed() ) );
    connect( componentList, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( componentSelected(QListViewItem*) ) );
    connect( logButton, SIGNAL( clicked() ), this, SLOT( logPressed() ) );
    connect( logButton2, SIGNAL( clicked() ), this, SLOT( logPressed() ) );
    connect( previousButton, SIGNAL( clicked() ), this, SLOT( previousPressed() ) );

    // tab order
    setTabOrder( componentList, componentInfo );
    setTabOrder( componentInfo, logButton );
    setTabOrder( logButton, previousButton );
    setTabOrder( previousButton, nextButton );
    setTabOrder( nextButton, cancelButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
WizardBase::~WizardBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void WizardBase::languageChange()
{
    setCaption( tr2i18n( "[AppName] installation" ) );
    titleLabel->setText( tr2i18n( "<b>[AppName] installation</b>" ) );
    textLabel2->setText( tr2i18n( "<p>This wizard will guide you through the installation of:" ) );
    appNameLabel->setText( tr2i18n( "<b>[AppName]</b>" ) );
    textLabel4->setText( tr2i18n( "Please click \"Next\" to continue" ) );
    textLabel5->setText( tr2i18n( "Select the components to install" ) );
    componentList->header()->setLabel( 0, tr2i18n( "Component name" ) );
    componentInfo->setText( tr2i18n( "<i>Select a component from the list above to see a brief description of it.</i>" ) );
    pleaseWaitLabel->setText( tr2i18n( "Please wait while the software is compiled and installed" ) );
    progressLabel1->setText( tr2i18n( "Progress Label 1" ) );
    progressLabel2->setText( tr2i18n( "Progress Label 2" ) );
    timeRemaining->setText( tr2i18n( "Estimated time remaining: <b>Calculating...</b>" ) );
    logButton->setText( tr2i18n( "View log file..." ) );
    textLabel1->setText( tr2i18n( "<p>The installation is complete.</p>" ) );
    uninstallBox->setText( tr2i18n( "Place a shortcut to the uninstaller on the desktop" ) );
    shortcutBox->setText( tr2i18n( "Place a shortcut to [AppName] on the desktop" ) );
    textLabel1_3->setText( tr2i18n( "Please select from the list below the applications you wish to uninstall." ) );
    appList->header()->setLabel( 0, tr2i18n( "Application Name" ) );
    textLabel2_3->setText( tr2i18n( "The following files will be removed.<br>\n"
"Please check this list, and click <b>next</b> to continue." ) );
    pleaseWaitLabel2->setText( tr2i18n( "Please wait while the selected packages are removed..." ) );
    logButton2->setText( tr2i18n( "View log file..." ) );
    previousButton->setText( tr2i18n( "< Previous" ) );
    nextButton->setText( tr2i18n( "Next >" ) );
    cancelButton->setText( tr2i18n( "Cancel" ) );
}

#include "wizardbase.moc"
