#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './autoscanoptions.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "autoscanoptions.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a AutoScanOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
AutoScanOptions::AutoScanOptions( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "AutoScanOptions" );

    LimitsGroup = new QGroupBox( this, "LimitsGroup" );
    LimitsGroup->setGeometry( QRect( 10, 10, 370, 180 ) );

    QWidget* privateLayoutWidget = new QWidget( LimitsGroup, "layout4" );
    privateLayoutWidget->setGeometry( QRect( 10, 25, 340, 130 ) );
    layout4 = new QVBoxLayout( privateLayoutWidget, 11, 6, "layout4"); 

    kcfg_Executed = new QCheckBox( privateLayoutWidget, "kcfg_Executed" );
    layout4->addWidget( kcfg_Executed );

    kcfg_Created = new QCheckBox( privateLayoutWidget, "kcfg_Created" );
    layout4->addWidget( kcfg_Created );

    kcfg_Opened = new QCheckBox( privateLayoutWidget, "kcfg_Opened" );
    layout4->addWidget( kcfg_Opened );

    kcfg_Closed = new QCheckBox( privateLayoutWidget, "kcfg_Closed" );
    layout4->addWidget( kcfg_Closed );
    languageChange();
    resize( QSize(391, 386).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( kcfg_Created, SIGNAL( toggled(bool) ), kcfg_Closed, SLOT( setDisabled(bool) ) );
    connect( kcfg_Created, SIGNAL( toggled(bool) ), kcfg_Opened, SLOT( setDisabled(bool) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
AutoScanOptions::~AutoScanOptions()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void AutoScanOptions::languageChange()
{
    setCaption( tr2i18n( "Options for On-Access Scanning" ) );
    LimitsGroup->setTitle( tr2i18n( "Auto-Scan Options" ) );
    kcfg_Executed->setText( tr2i18n( "Scan Files When They are &Executed" ) );
    kcfg_Executed->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    kcfg_Created->setText( tr2i18n( "Scan Files When The&y are Created/Modified (Linux 2.4 Only)" ) );
    kcfg_Created->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    kcfg_Opened->setText( tr2i18n( "Scan &Files When They are Opened" ) );
    kcfg_Opened->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    kcfg_Closed->setText( tr2i18n( "Scan Files &When They are Closed" ) );
    kcfg_Closed->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
}

void AutoScanOptions::kcfg_Created_toggled(bool)
{
    qWarning( "AutoScanOptions::kcfg_Created_toggled(bool): Not implemented yet" );
}

#include "autoscanoptions.moc"
