#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './logoptions.ui'
**
** Created by: The User Interface Compiler ($Id: qt/main.cpp   3.3.8   edited Jan 11 14:47 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "logoptions.h"

#include <qvariant.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a LogOptions as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
LogOptions::LogOptions( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "LogOptions" );

    LimitsGroup = new QGroupBox( this, "LimitsGroup" );
    LimitsGroup->setGeometry( QRect( 10, 10, 370, 310 ) );

    textLabel2 = new QLabel( LimitsGroup, "textLabel2" );
    textLabel2->setGeometry( QRect( 12, 69, 161, 21 ) );

    QWidget* privateLayoutWidget = new QWidget( LimitsGroup, "layout4" );
    privateLayoutWidget->setGeometry( QRect( 11, 91, 300, 210 ) );
    layout4 = new QVBoxLayout( privateLayoutWidget, 11, 6, "layout4"); 

    kcfg_LaunchShutdown = new QCheckBox( privateLayoutWidget, "kcfg_LaunchShutdown" );
    layout4->addWidget( kcfg_LaunchShutdown );

    kcfg_StartedStoppedCancelled = new QCheckBox( privateLayoutWidget, "kcfg_StartedStoppedCancelled" );
    layout4->addWidget( kcfg_StartedStoppedCancelled );

    kcfg_Quarantined = new QCheckBox( privateLayoutWidget, "kcfg_Quarantined" );
    layout4->addWidget( kcfg_Quarantined );

    kcfg_DBUpdates = new QCheckBox( privateLayoutWidget, "kcfg_DBUpdates" );
    layout4->addWidget( kcfg_DBUpdates );

    kcfg_SoftwareUpdates = new QCheckBox( privateLayoutWidget, "kcfg_SoftwareUpdates" );
    layout4->addWidget( kcfg_SoftwareUpdates );

    kcfg_VirusFound = new QCheckBox( privateLayoutWidget, "kcfg_VirusFound" );
    layout4->addWidget( kcfg_VirusFound );

    kcfg_Error = new QCheckBox( privateLayoutWidget, "kcfg_Error" );
    layout4->addWidget( kcfg_Error );

    QWidget* privateLayoutWidget_2 = new QWidget( LimitsGroup, "layout5" );
    privateLayoutWidget_2->setGeometry( QRect( 12, 17, 300, 40 ) );
    layout5 = new QGridLayout( privateLayoutWidget_2, 1, 1, 11, 6, "layout5"); 

    kcfg_ExpireDays = new QSpinBox( privateLayoutWidget_2, "kcfg_ExpireDays" );

    layout5->addWidget( kcfg_ExpireDays, 0, 1 );

    MaxMBsEx = new QLabel( privateLayoutWidget_2, "MaxMBsEx" );

    layout5->addWidget( MaxMBsEx, 0, 0 );

    MaxMBsEx_2 = new QLabel( privateLayoutWidget_2, "MaxMBsEx_2" );

    layout5->addWidget( MaxMBsEx_2, 0, 2 );
    languageChange();
    resize( QSize(388, 386).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LogOptions::~LogOptions()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LogOptions::languageChange()
{
    setCaption( tr2i18n( "Options for Logging" ) );
    LimitsGroup->setTitle( tr2i18n( "Logging Options" ) );
    textLabel2->setText( tr2i18n( "Log the following events:" ) );
    kcfg_LaunchShutdown->setText( tr2i18n( "&Application Launch/Shutdown" ) );
    kcfg_LaunchShutdown->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    kcfg_StartedStoppedCancelled->setText( tr2i18n( "Scan Starte&d/Stopped/Cancelled" ) );
    kcfg_StartedStoppedCancelled->setAccel( QKeySequence( tr2i18n( "Alt+D" ) ) );
    kcfg_Quarantined->setText( tr2i18n( "&File Quarantined" ) );
    kcfg_Quarantined->setAccel( QKeySequence( tr2i18n( "Alt+F" ) ) );
    kcfg_DBUpdates->setText( tr2i18n( "Data&base Updates" ) );
    kcfg_DBUpdates->setAccel( QKeySequence( tr2i18n( "Alt+B" ) ) );
    kcfg_SoftwareUpdates->setText( tr2i18n( "Software &Updates" ) );
    kcfg_SoftwareUpdates->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    kcfg_VirusFound->setText( tr2i18n( "&Virus/Suspicious File Found" ) );
    kcfg_VirusFound->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    kcfg_Error->setText( tr2i18n( "&Error Encountered" ) );
    kcfg_Error->setAccel( QKeySequence( tr2i18n( "Alt+E" ) ) );
    MaxMBsEx->setText( tr2i18n( "Expire events after" ) );
    MaxMBsEx_2->setText( tr2i18n( "day(s)" ) );
}

#include "logoptions.moc"
